#
# spec file for package python-oslo.service
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?rhel} || 0%{?fedora}
%global rdo 1
%endif
Name:           python-oslo.service
Version:        1.38.0
Release:        3.2
Summary:        OpenStack oslo.service library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/oslo.service
Source0:        https://files.pythonhosted.org/packages/source/o/oslo.service/oslo.service-1.38.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  procps
BuildRequires:  python-devel
BuildRequires:  python2-Paste
BuildRequires:  python2-PasteDeploy
BuildRequires:  python2-Routes
BuildRequires:  python2-WebOb
BuildRequires:  python2-eventlet
BuildRequires:  python2-fixtures
BuildRequires:  python2-greenlet
BuildRequires:  python2-mock
BuildRequires:  python2-oslo.concurrency
BuildRequires:  python2-oslo.config
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslo.log
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-requests
BuildRequires:  python2-six
BuildRequires:  python2-stestr
BuildRequires:  python2-yappi
BuildRequires:  python3-Paste
BuildRequires:  python3-PasteDeploy
BuildRequires:  python3-Routes
BuildRequires:  python3-WebOb
BuildRequires:  python3-devel
BuildRequires:  python3-eventlet
BuildRequires:  python3-fixtures
BuildRequires:  python3-greenlet
BuildRequires:  python3-mock
BuildRequires:  python3-oslo.concurrency
BuildRequires:  python3-oslo.config
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslo.log
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-stestr
BuildRequires:  python3-yappi
Requires:       python-Paste
Requires:       python-PasteDeploy
Requires:       python-Routes
Requires:       python-WebOb
Requires:       python-debtcollector
Requires:       python-eventlet
Requires:       python-fixtures
Requires:       python-greenlet
Requires:       python-oslo.concurrency
Requires:       python-oslo.config
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.utils
Requires:       python-six
Requires:       python-yappi
BuildArch:      noarch
%python_subpackages

%description
oslo.service provides a framework for defining new long-running services using
the patterns established by other OpenStack applications. It also includes
utilities long-running applications might need for working with SSL or WSGI,
performing periodic operations, interacting with systemd, etc.

%package -n python-oslo.service-doc
Summary:        Documentation for OpenStack service library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-oslo.service-doc
oslo.service provides a framework for defining new long-running services using
the patterns established by other OpenStack applications. It also includes
utilities long-running applications might need for working with SSL or WSGI,
performing periodic operations, interacting with systemd, etc.
This package contains the documentation.

%prep
%autosetup -p1 -n oslo.service-1.38.0
%py_req_cleanup

%build
%{python_build}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%doc README.rst ChangeLog
%{python_sitelib}/oslo_service
%{python_sitelib}/*.egg-info

%files -n python-oslo.service-doc
%license LICENSE
%doc doc/build/html

%changelog
